#!/bin/bash
params=$@
is_ar1020=`xinput --list | grep AR1020`
if [ "x$is_ar1020" != "x" ] ; then
	xinput set-prop --type=float "AR1020 Touchscreen" "Coordinate Transformation Matrix" 1 0 0 0 1 0 0 0 1
	echo "0,0,0,0,0,0,0,0,0,0,0,0" | sudo tee /sys/module/ar1020_i2c/parameters/calibration > /dev/null
	srot=$(grep "fbcon=rotate:2" /proc/cmdline) || true
        if [ "x$params" != "x" ] ; then
                sudo ts_calibrate_quadrant $params
	elif [ "x$isrot" != "x" ] ; then
		sudo ts_calibrate_quadrant -r
	else
		sudo ts_calibrate_quadrant
	fi
	sudo cp /etc/pointercal_c /sys/module/ar1020_i2c/parameters/calibration

else

	srot=$(grep "fbcon=rotate:2" /proc/cmdline) || true
	if [ "x$params" != "x" ] ; then
		sudo ts_calibrate_quadrant $params
	elif [ "x$isrot" != "x" ] ; then
		sudo ts_calibrate_quadrant -r -x
	else
		sudo ts_calibrate_quadrant -x
	fi
	args=`cat /etc/pointercal_x`
	eval xinput set-prop --type=float $args

fi


